# Uses of Class
java.util.Formatter

Packages that use Formatter
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.

## Uses of Formatter in java.util

Methods in java.util that return Formatter
Modifier and Type
Method
Description
`Formatter`
Formatter.`format(String format, Object... args)`
Writes a formatted string to this object's destination using the specified format string and arguments.
`Formatter`
Formatter.`format(Locale l, String format, Object... args)`
Writes a formatted string to this object's destination using the specified locale, format string, and arguments.
Methods in java.util with parameters of type Formatter
Modifier and Type
Method
Description
`void`
Formattable.`formatTo(Formatter formatter, int flags, int width, int precision)`
Formats the object using the provided `formatter`.